import os, sys
from os.path import join, exists, isdir, isfile, dirname, abspath, expanduser

import gtk, gtk.gdk, gconf

# Autotools set the actual data_dir in defs.py
from defs import *


# Allow to use uninstalled deskbar ---------------------------------------------
UNINSTALLED_COHOBA = False
def _check(path):
	return exists(path) and isdir(path) and isfile(path+"/AUTHORS")
	
name = join(dirname(__file__), '..')
if _check(name):
	UNINSTALLED_COHOBA = True
	
# Sets SHARED_DATA_DIR to local copy, or the system location
# Shared data dir is most the time /usr/share/cohoba
if UNINSTALLED_COHOBA:
	SHARED_DATA_DIR = abspath(join(dirname(__file__), '..', 'data'))
else:
	SHARED_DATA_DIR = join(DATA_DIR, "cohoba")
print "Data Dir: %s" % SHARED_DATA_DIR

USER_COHOBA_DIR = expanduser("~/.gnome2/cohoba")
if not exists(USER_COHOBA_DIR):
	try:
		os.makedirs(USER_COHOBA_DIR, 0744)
	except Exception , msg:
		print 'Error:could not create cohoba user dir (%s): %s' % (USER_COHOBA_DIR, msg)
# ------------------------------------------------------------------------------

# Set the cwd to the home directory so spawned processes behave correctly
# when presenting save/open dialogs
os.chdir(expanduser("~"))

# Path to images, icons
ART_DATA_DIR = join(SHARED_DATA_DIR, "art")

#Gconf client
#GCONF_CLIENT = gconf.client_get_default()

# GConf directory for deskbar in window mode and shared settings
#GCONF_DIR = "/apps/cohoba"

# Preload gconf directories
#GCONF_CLIENT.add_dir(GCONF_DIR, gconf.CLIENT_PRELOAD_RECURSIVE)
