import gtk

from cohoba.telepathy.AccountList import get_account_list
from cohoba.ui.ProtocolIcons import get_protocol_icons

class AccountComboBox(gtk.ComboBox):
	COL_PIXBUF = 0
	COL_TEXT = 1
	
	def __init__(self):
		gtk.ComboBox.__init__(self, get_account_list())
		
		cell = gtk.CellRendererPixbuf()
		self.pack_start(cell, False)
		self.set_cell_data_func(cell, self.get_cell_data, self.COL_PIXBUF)
		
		cell = gtk.CellRendererText()
		self.pack_start(cell, True)
		self.set_cell_data_func(cell, self.get_cell_data, self.COL_TEXT)
	
	def get_cell_data(self, layout, cell, model, iter, column):
		account = model[iter][0]
		if column == self.COL_PIXBUF:
			cell.set_property('pixbuf', get_protocol_icons().get_icon(account.protocol))
		elif column == self.COL_TEXT:
			cell.set_property('text', account.account)
	
	def get_selected_account(self):
		return self.get_model()[self.get_active_iter()][0]
